<?php
/*
  ファイル屋さん設定ファイル
　★印がついている項目は必ず設定する必要があります
*/
$gSys=array();

/////////////////////////////////////////////////////////////////////
// あなたのサービスに関する設定

// ★あなたのファイル屋さんの名前
$gSys['myservice']['service_name']='名称未設定のファイル屋さん';

// ★あなたのウェブサイトのトップページ
$gSys['myservice']['home_url']='/';


/////////////////////////////////////////////////////////////////////
// モリタポ設定

// ★サービサーメールアドレス(モリタポ通帳のメールアドレス)
$gSys['moritapo']['servicer']='your_moritapo_email_address';

// ★モリタポ決済用秘密鍵(md5認証キー)
// モリタポ通帳 - ユーザー設定で秘密鍵として入力した文字列
$gSys['moritapo']['servicer_auth_key']='your_servicer_auth_key';

// 決済後に戻ってくるページのURL
$gSys['moritapo']['ret_url']=
	'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'].'?p=return/back';

// ★データディレクトリ(通常外から見えない場所を指定)
// やむなく公開ディレクトリに設置する場合は推測しづらいディレクトリ名にしてください
$gSys['dir']['data']="/your_directory/filestore_data/";

// ★ログディレクトリ(通常外から見えない場所を指定)
// やむなく公開ディレクトリに設置する場合は推測しづらいディレクトリ名にしてください
$gSys['dir']['log']="/your_directory/filestore_log/";


// あなたのファイル屋さんのトップページ
$gSys['config']['store_index_url']=
	'http://'.$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME'];

// UNIQUEKEYの有効期限(秒)
$gSys['moritapo']['uniquekey_expiration_time']=(int)(5*60);	// 24*60*60=1day

// ダウンロード期限(秒)
$gSys['config']['download_expiration_time']=(int)(24*60*60);

// 公開ディレクトリルート
$gSys['dir']['main']=$_SERVER['DOCUMENT_ROOT'].'/';

// ライブラリファイルの場所
$gSys['dir']['lib']='lib/';

// モジュールファイルの場所
$gSys['dir']['mod']='mod/';;

// システム設定値
$gSys['version']='0.2';
$gSys['service_name']='モリタンのファイル屋さんBasic';
$gSys['service_link']='http://moritapo.jp/distribute/filestore/';


// テンプレートデフォルト
$gSys['tpl']['header']['search']['title']=
	'%%HEADER_TITLE%%';
$gSys['tpl']['header']['replace']['title']=
	'モリタンのファイル屋さん';

$gSys['tpl']['header']['search']['keywords']=
	'%%HEADER_KEYWORDS%%';
$gSys['tpl']['header']['replace']['replace']=
	'モリタポ';

$gSys['tpl']['header']['search']['description']=
	'%%HEADER_DESCRIPTION%%';
$gSys['tpl']['header']['replace']['description']=
	'モリタンのファイル屋さん';

$gSys['tpl']['header']['search']['stylesheet']=
	'%%HEADER_STYLESHEET%%';
$gSys['tpl']['header']['replace']['stylesheet']=
	'<link rel="stylesheet" type="text/css" href="css/common.css" />';

$gSys['tpl']['header']['search']['logo_link']=
	'%%HEADER_LOGO_LINK%%';
$gSys['tpl']['header']['replace']['logo_link']=
	$gSys['config']['store_index_url'];


$gSys['tpl']['footer']['search']['text']=
	'%%FOOTER_TEXT%%';
$gSys['tpl']['footer']['replace']['text']=
	'<a href="'.$gSys['service_link'].'">'.
	$gSys['service_name'].' Ver.'.$gSys['version'].'</a>';

// システム設定
$gSys['sys']['access_counter']=true;	// アクセスカウンター
$gSys['sys']['dl_counter']=true;	// ダウンロードカウンター
$gSys['sys']['trade_counter']=true;	// 決済カウンター
$gSys['sys']['dl_ip_check']=false;	// 決済時とダウンロード時のipの一致を確認する
$gSys['moritapo']['easyapi_uri'] = 'http://api.moritapo.jp/easy/pay.php';
$gSys['config']['dl_time_limit']=0;	// ダウンロードスクリプトのタイムリミット 0 で制限なし(ただしサーバー設定による)
$gSys['config']['session_cookie_expire_min']=60*24;	// セッションクッキーの時限(分)
$gSys['config']['session_cookie_lifetime_sec']=time()+(60*60*24);	// セッションクッキーの有効期限(unixtime)
$gSys['config']['trade_filename_cookie_lifetime_sec']=time()+(60*60*24*366);	// 決済済ファイル名クッキーの有効期限(unixtime)


// エラー処理
$gSys['error']['message']='';	// エラーメッセージ
$gSys['error']['back_url'] = $gSys['config']['store_index_url'];	// エラー画面後の戻りページ

?>