<?php
// ファイル詳細表示

function main()
{
	global $gSys;
	require_once($gSys['dir']['mod'].'common.func.php');
	require_once($gSys['dir']['lib'].'func/moritapo.func.php');

	$fileName = $gSys['in']['values']['filename'];
	$fileName=trim($fileName);
	if(ereg('/',$fileName))
		exit('File Name Error.');
	if(''==$fileName)
		exit('File Name Error.');
	$fileDataSet =& getFileDetailData($fileName);

	$uniquekeyDataset=genMoritapoUniquekey();
	$uniquekeyFileInputData='';
	$uniquekeyFileInputData.=$fileName."\n";	// ファイル名
	$uniquekeyFileInputData.=$fileDataSet['price']."\n";	// モリタポ数
	$uniquekeyFileInputData.=$fileDataSet['title']."\n";	// タイトル
	$uniquekeyFileInputData.=$fileDataSet['description']."\n";	// 解説
	$uniquekeyFileInputData.=$uniquekeyDataset['utime']."\n";	// UNIXTIME
	$uniquekeyFileInputData.=$_SERVER['REMOTE_ADDR']."\n";	// ip
	file_put_contents($gSys['dir']['log'].'uniquekey/'.$uniquekeyDataset['uniquekey'],$uniquekeyFileInputData);

	// テンプレート
	$gSys['tpl']['search']=array(
		'%%FILE_TITLE%%',
		'%%FILE_PRICE%%',
		'%%FILE_PRICE_DISP%%',
		'%%FILE_DESCRIPTION%%',
//		'%%FILE_NAME%%',
//		'%%FILE_MD5%%',
		'%%FILE_SIZE%%',
		'%%FILE_MOD_TIME%%',
		'%%STORE_NAME%%',
		'%%SERVICER%%',
		'%%RET_URL%%',
		'%%UNIQUEKEY%%',
		'%%TIME_LIMIT%%',
		'%%MORITAPO_DESC%%',
		'%%MORITAPO_EASYAPI_URI%%',
		'%%BACK_URL%%'
		);
	$gSys['tpl']['replace']=array(
		$fileDataSet['title'],
		$fileDataSet['price'],
		number_format($fileDataSet['price']),
		$fileDataSet['description'],
//		$fileDataSet['filename'],
//		$fileDataSet['md5'],
		number_format($fileDataSet['size']),
		$fileDataSet['mod_time'],
		$gSys['myservice']['service_name'],
		$gSys['moritapo']['servicer'],
		$gSys['moritapo']['ret_url'],
		$uniquekeyDataset['uniquekey'],
		secondFormat($gSys['moritapo']['uniquekey_expiration_time']),
		$gSys['myservice']['service_name'].'['.$fileDataSet['title'].']のダウンロード',
		$gSys['moritapo']['easyapi_uri'],
		$gSys['config']['store_index_url']
		);


}

?>